/*
 * Copyright 2009 Ilya Epifanov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.xajile.fuchakubutsu;

import java.util.ArrayList;
import java.util.List;
import ru.xajile.fuchakubutsu.tsuyujimo.CollectingHandler;
import ru.xajile.fuchakubutsu.tsuyujimo.Parser;

public class FrozenObjectCollectingHandler implements EventHandler {
  private List<Part> parts = new ArrayList<Part>();

  public void handleText(char[] buf, int off, int len) {
    parts.add(new TextPart(buf, off, len));
  }

  public void handleObject(char[] buf, int off, int len) {
    CollectingHandler handler = new CollectingHandler();
    Parser parser = new Parser(buf, off, len, handler);
    parser.parse();
    FrozenObjectPart part = new FrozenObjectPart(handler.parts());
    parts.add(part);
  }

  public void finish() {
  }

  public List<Part> parts() {
    return parts;
  }
}
