/*
 * Copyright 2009 Ilya Epifanov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.xajile.fuchakubutsu.tsuyujimo;

import java.util.ArrayList;
import java.util.List;
import org.joda.time.DateTime;

public class CollectingHandler implements EventHandler {
  private final List<Object> parts = new ArrayList<Object>();

  public void handleInt(int v) {
    parts.add(v);
  }

  public void handleLong(long v) {
    parts.add(v);
  }

  public void handleChar(char v) {
    parts.add(v);
  }

  public void handleString(char[] buf, int off, int len) {
    parts.add(new String(buf, off, len));
  }

  public void handleBool(boolean v) {
    parts.add(v);
  }

  public void handleDate(DateTime date) {
    parts.add(date);
  }

  public void handleNull() {
    parts.add(null);
  }

  public List<Object> parts() {
    return parts;
  }
}
